Notifications
remove all

[Resolved] Help commands to install the flatpack


HENRY GARCIA M.
Respuestas: 10
Registered
(@Henrygarciam)
Active member
Registered: 2 years ago

help, just installed Deepin 115.10, and do not give me the commands to install the flatpack;

[email protected]:~$ sudo apt install flatpak
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
Flatpak is already in its latest version (0.8.9-0 + deb9u1).
0 upgraded, 0 newly newly installed, 0 to remove and 1 not upgraded.
[email protected]:~$ sudo apt install gnome-software-plugin-flatpak
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
gnome-software-plugin-Flatpak already in its latest version (3.22.5-1).
0 upgraded, 0 newly newly installed, 0 to remove and 1 not upgraded.
[email protected]:~$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
[email protected]:~$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
[email protected]:~$ flatpak list
[email protected]:~$

Answer
15Answers
7 Replies
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

[email protected]:~$ sudo add-apt-repository ppa:alexlarsson/flatpak
Traceback (most recent call last):
File "/ usr / bin / add-apt-repository", line 95, in
sp = SoftwareProperties (options options =)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
self.reload_sourceslist ()
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
self.distro.get_sources (self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 93, in get_sources
(Self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a template for Deepin distribution / stable
[email protected]:~$

Answer
Эли
Moderator
(@Eli)
Registered: 2 years ago

Prominent Member
Answers: 756

The tutorial to which you answered and was following think it is outdated to install Flatpak in Deepin, please try the following commands in this order:

 

update && sudo apt sudo apt install Flatpak

sudo apt install gnome-software-plugin-Flatpak

Flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

 

After this you should be ready to install applications Deepin Flatpak 15.11.

Answer
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

Nothing's the same ....

[email protected]:~$ sudo apt update && sudo apt install flatpak
[Sudo] password for user:
Obj: 1 https://deb.opera.com/opera-stable stable InRelease
Obj: 2 http://packages.microsoft.com/repos/vscode stable InRelease
Obj: 3 https://packages.microsoft.com/ubuntu/19.10/prod EOAN InRelease
Des: 4 https://mega.nz/linux/MEGAsync/Debian_9.0 ./ InRelease [1306 B]
Err: 4 https://mega.nz/linux/MEGAsync/Debian_9.0 ./ InRelease
The following signatures could not be verified because the public key is not available: NO_PUBKEY 03C3AD3A7F068E5D
Obj 5 http://packages.deepin.com/deepin lion InRelease
Reading package lists ... Done
W: GPG error: https://mega.nz/linux/MEGAsync/Debian_9.0 ./ InRelease: The following signatures could not be verified because the public key is not available: NO_PUBKEY 03C3AD3A7F068E5D
E: El repositorio &laquo https://mega.nz/linux/MEGAsync/Debian_9.0 ./ InRelease "is not signed.
N: Can not update a repository as this safely and thus is disabled by default.
N: See page apt-secure (8) for details on creating repositories and user settings.
[email protected]:~$ udo apt install gnome-software-plugin-flatpak
bash: udo: the order was not found
[email protected]:~$ sudo apt install gnome-software-plugin-flatpak
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
gnome-software-plugin-Flatpak already in its latest version (3.22.5-1).
0 upgraded, 0 newly newly installed, 0 to remove and 1 not upgraded.
[email protected]:~$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
br />[email protected]:~$
[email protected]:~$ flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
br />[email protected]:~$

 

Answer
Эли
Moderator
(@Eli)
Registered: 2 years ago

Prominent Member
Answers: 756

@henrygarciam I just installed Flatpak on a clean installation of Deepin and everything was installed without problems following the commands I showed up.

The last message said you showed that you already have the latest version installed Flatpak not understand, what's the problem? Messages that you see in the terminal have nothing to do with Flatpak, because they are repositories that you have installed and are not for Deepin.

Note that Deepin is not Ubuntu, you can not use Ubuntu repos Deepin. Read all those messages carefully. Flatpak specific program which is looking to install?

Greetings.

 

Answer
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

Therefore he expected to show a list of programs that could be installed, but open the flatpack and nothing.

 

Answer
Эли
Moderator
(@Eli)
Registered: 2 years ago

Prominent Member
Answers: 756

@henrygarciam I think this confused about how the applications installed Flatpak works, Flatpak for a list of applications available for installation and appropriate commands to install and open them for the first time please visit:

https://flathub.org/apps

The Flatpak applications, as well as Snaps and AppImages are not part of the store and do not appear enlisted in the way you expect them.

Also note that once installed Flatpak you need to make a re-start your system before you install and run Flatpak power applications.

Greetings.

 

Answer
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

for example need to install GIMP.

Answer
HENRY GARCIA M.
Respuestas: 10
Registered
(@Henrygarciam)
Active member
Registered: 2 years ago

look what I get for trying to install the GIMP.

DeepinScreenshot 20200403223735

 

Answer
3 Replies
Эли
Moderator
(@Eli)
Registered: 2 years ago

Prominent Member
Answers: 756

@henrygarciam Do not use the "Install" button to install applications on Deepin Flatpak, use commands instead:

Flatpak install flathub org.gimp.GIMP

Flatpak run org.gimp.GIMP

Gimp then appear in your menu like all other applications, each application has the appropriate commands Flathub, that button to install does not work on all distributions.

 

Answer
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

Thank you very much for responding, I appreciate the collaboration provided me, tomorrow I will try again.

Answer
HENRY GARCIA M.
Registered
(@Henrygarciam)
Registered: 2 years ago

Active member
Respuestas: 10

[email protected]:~$ flatpak install flathub org.gimp.GIMP
error: GPG verification enabled, but no summary signatures found (use gpg-verify-summary = false to disable in remote config)
[email protected]:~$ sudo flatpak install flathub org.gimp.GIMP
[Sudo] password for user:
error: GPG verification enabled, but no summary signatures found (use gpg-verify-summary = false to disable in remote config)
[email protected]:~$

 

Answer
Nicolas Smiriglia
Respuestas: 18
Registered
(@Nicolassmiriglia)
Active member
Joined: 1 year ago

hello install seamlessly install Flatpak background and the problem I have it is that is not in menu I have to go to the Flatpak software and open it from there

 

Answer
2 Replies
Nicolas Smiriglia
Registered
(@Nicolassmiriglia)
Joined: 1 year ago

Active member
Respuestas: 18

to restart it appears on the menu

Answer
Martin Valladares
Registered
(@ Mvalladares2006)
Registrado: hace 3 meses

Active member
Answers: 5

@nicolassmiriglia Deepin that happens often, you have to leave when you enter and out again in the menu.

 

Answer
Isaías Gätjens M
Respuestas: 396
Moderator
(@Igatjens)
Member of high reputation
Registered: 2 years ago

@henrygarciam

Hello, install applications with flatpack is very simple, the complication is when they assume that you have to install an application store type, when it is much easier to use as designed, using the terminal and copying and pasting the corresponding commands.

But there first to fix the problem repository Mega, Mega that's because you will beat the signing of the repository and you have to put the new firm. They announced on their blog - https://mega.nz/blog_55 .

Copy, paste and run the following command in the terminal

 

&& sudo apt install curl curl -fsSL "https://mega.nz/keys/MEGA_signing.key" | apt-key add - && apt update Sudo

 

Flatpack now continuing with the main flatpack application catalog is https://flathub.org/, open flathub and locate the application.

If you have not set flathub in all applications is a link to the installation instructions for Deepin are the instructions for Debian.

 

DeepinScreenshot Seleccionar área 20200404210056

 

The instructions are in English but you can use Google Translate to translate - https://flatpak.org/setup/Debian/

DeepinScreenshot Seleccionar área 20200404210312

States that execute commands as root, so you have to use sudo, then step 2 only applies if GNOME is used, but Deepin not use it, so you just have to do steps 1, 3 and 4.

sudo apt install Flatpak

sudo Flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo

Then restart the computer.

 

You are now ready to install the flatpack applications, find the app in https://flathub.org, goes the bottom of the page, copy, paste and run the command application installation.

 

DeepinScreenshot Seleccionar área 20200404210955
DeepinScreenshot Seleccionar área 20200404211037

 

In this case the command GIMP installation is

 

Flatpak install flathub org.gimp.GIMP

 

Personally I prefer to use the version of GIMP that is not flatpack, flatpack by nature Encapsulated application sometimes has trouble joining the system, for example, opening or saving files, repeat sometimes, just sometimes.

You can install gimp with the following command without flatpack use.

 

sudo apt install gimp

 

Greetings.

Answer